# Uses of Interface
org.eclipse.emf.cdo.common.model.CDOType

Packages that use CDOType
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOType in org.eclipse.emf.cdo.common.model

Fields in org.eclipse.emf.cdo.common.model declared as CDOType
Modifier and Type
Field
Description
`static final CDOType`
CDOType.`BIG_DECIMAL`
`static final CDOType`
CDOType.`BIG_INTEGER`
`static final CDOType`
CDOType.`BLOB`
`static final CDOType`
CDOType.`BOOLEAN`
`static final CDOType`
CDOType.`BOOLEAN_OBJECT`
`static final CDOType`
CDOType.`BYTE`
`static final CDOType`
CDOType.`BYTE_ARRAY`
`static final CDOType`
CDOType.`BYTE_OBJECT`
`static final CDOType`
CDOType.`CHAR`
`static final CDOType`
CDOType.`CHARACTER_OBJECT`
`static final CDOType`
CDOType.`CLOB`
`static final CDOType`
CDOType.`CUSTOM`
`static final CDOType`
CDOType.`DATE`
`static final CDOType`
CDOType.`DOUBLE`
`static final CDOType`
CDOType.`DOUBLE_OBJECT`
`static final CDOType`
CDOType.`ENUM_LITERAL`
`static final CDOType`
CDOType.`ENUM_ORDINAL`
`static final CDOType`
CDOType.`EXCEPTION`
`static final CDOType`
CDOType.`FEATURE_MAP_ENTRY`
Deprecated.
As of 4.5 `feature maps` are no longer supported.
`static final CDOType`
CDOType.`FLOAT`
`static final CDOType`
CDOType.`FLOAT_OBJECT`
`static final CDOType`
CDOType.`HANDLER`
`static final CDOType`
CDOType.`INT`
`static final CDOType`
CDOType.`INTEGER_OBJECT`
`static final CDOType`
CDOType.`JAVA_CLASS`
`static final CDOType`
CDOType.`JAVA_OBJECT`
`static final CDOType`
CDOType.`LIST`
`static final CDOType`
CDOType.`LONG`
`static final CDOType`
CDOType.`LONG_OBJECT`
`static final CDOType`
CDOType.`MAP`
`static final CDOType`
CDOType.`OBJECT`
`static final CDOType`
CDOType.`OBJECT_ARRAY`
`static final CDOType`
CDOType.`SET`
`static final CDOType`
CDOType.`SHORT`
`static final CDOType`
CDOType.`SHORT_OBJECT`
`static final CDOType`
CDOType.`STRING`
Methods in org.eclipse.emf.cdo.common.model that return CDOType
Modifier and Type
Method
Description
`static CDOType`
CDOModelUtil.`getCoreType(EClassifier eDataType)`
Core types includes also complex data like EAnnotation, and EEnum
`static CDOType`
CDOModelUtil.`getPrimitiveType(Class<? extends Object> primitiveType)`
`static CDOType`
CDOModelUtil.`getType(byte typeID)`
`static CDOType`
CDOModelUtil.`getType(EClassifier classifier)`
`static CDOType`
CDOModelUtil.`getType(EStructuralFeature feature)`
`static CDOType`
CDOModelUtil.`getTypeOfObject(Object object)`

## Uses of CDOType in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOType
Modifier and Type
Method
Description
`CDOType`
CDODataInput.`readCDOType()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOType
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOType(CDOType cdoType)`

## Uses of CDOType in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOType
Modifier and Type
Method
Description
`CDOType`
CDODataInputImpl.`readCDOType()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOType
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOType(CDOType cdoType)`